% screen output
disp ' '
disp ' '
disp 'Compute Value and Policy Functions for Inflation Zone Targeting'
disp ' '
disp 'Reproduce Fig. 3 of Orphanides and Wieland (2000),'
disp 'but with "low variance" instead of perfect certainty!'
disp '(parameter values US-CBO annual data 1960-98)'
disp '---------------------------------------------------------------'
disp ' '

disp '1 of 8, Linear-Quadratic Model / omega = 0.5, beta = 0:'
% clear workspace, start timer
clear all; tic
% settings
multflag=0; poliflag=1; philflag=1; prefflag=1; striflag=0; shocflag=0;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3a_lq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '2 of 8, ZoneLinear-Quadratic Model / omega = 0.5, beta = 0:'
% clear workspace, start timer
clear all; tic
% settings
multflag=0; poliflag=1; philflag=0; prefflag=1; striflag=0; shocflag=-1;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3a_zlq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '3 of 8, Linear-Quadratic Model / omega = 1, beta = 0:'
% clear workspace, start timer
clear all; tic
% settings
multflag=0; poliflag=1; philflag=1; prefflag=1; striflag=1; shocflag=0;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3b_lq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '4 of 8, ZoneLinear-Quadratic Model / omega = 1, beta = 0:'
% clear workspace, start timer
clear all; tic
% settings
multflag=0; poliflag=1; philflag=0; prefflag=1; striflag=1; shocflag=-1;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3b_zlq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '5 of 8, Linear-Quadratic Model / omega = 0.5, beta = 0.9:'
% clear workspace, start timer
clear all; tic
% settings
multflag=1; poliflag=1; philflag=1; prefflag=1; striflag=0; shocflag=0;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3c_lq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '6 of 8, ZoneLinear-Quadratic Model / omega = 0.5, beta = 0.9:'
% clear workspace, start timer
clear all; tic
% settings
multflag=1; poliflag=1; philflag=0; prefflag=1; striflag=0; shocflag=-1;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3c_zlq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '7 of 8, Linear-Quadratic Model / omega = 1, beta = 0.9:'
% clear workspace, start timer
clear all; tic
% settings
multflag=1; poliflag=1; philflag=1; prefflag=1; striflag=1; shocflag=0;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3d_lq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

disp '8 of 8, ZoneLinear-Quadratic Model / omega = 1, beta = 0.9:'
% clear workspace, start timer
clear all; tic
% settings
multflag=1; poliflag=1; philflag=0; prefflag=1; striflag=1; shocflag=-1;
flags=[multflag poliflag philflag prefflag striflag shocflag];
% compute optimal policies, save results, read timer
us12ghxx; save fig3d_zlq
fprintf('  Elapsed Time = %7.2f Seconds\n',toc)
disp ' '

% plot figure
figure(3)

subplot(2,2,1);
hold on; clear all; load fig3a_lq;  plot(pilag,hfin);      hold off
hold on; clear all; load fig3a_zlq; plot(pilag,hfin,'.:'); hold off
title('omega = 0.5, beta = 0')
xlabel('inflation gap')
ylabel('intended output gap')
xlim([-7 7]); ylim([-10 10])
grid on

subplot(2,2,2);
hold on; clear all; load fig3b_lq;  plot(pilag,hfin);      hold off
hold on; clear all; load fig3b_zlq; plot(pilag,hfin,'.:'); hold off
title('omega = 1, beta = 0')
xlabel('inflation gap')
ylabel('intended output gap')
xlim([-7 7]); ylim([-10 10])
grid on

subplot(2,2,3);
hold on; clear all; load fig3c_lq;  plot(pilag,hfin);      hold off
hold on; clear all; load fig3c_zlq; plot(pilag,hfin,'.:'); hold off
title('omega = 0.5, beta = 0.9')
xlabel('inflation gap')
ylabel('intended output gap')
xlim([-7 7]); ylim([-10 10])
grid on

subplot(2,2,4);
hold on; clear all; load fig3d_lq;  plot(pilag,hfin);      hold off
hold on; clear all; load fig3d_zlq; plot(pilag,hfin,'.:'); hold off
title('omega = 1, beta = 0.9')
xlabel('inflation gap')
ylabel('intended output gap')
xlim([-7 7]); ylim([-10 10])
grid on